Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.plan
Class PlanHints

    java.lang.Object
      org.modeshape.jcr.query.plan.PlanHints

All Implemented Interfaces:
  Serializable, Cloneable

    @NotThreadSafe
    public final class PlanHints

extends Object
implements Serializable, Cloneable

See Also:
  Serialized Form

Field Summary
`boolean` | `hasCriteria` This flag indicates that the plan has a criteria somewhere
`boolean` | `hasFullTextSearch`
`boolean` | `hasJoin` This flag indicates that the plan has a join somewhere
`boolean` | `hasLimit`
`boolean` | `hasOptionalJoin`
`boolean` | `hasSetQuery` flag indicates that the plan has a union somewhere
`boolean` | `hasSort` This flag indicates that the plan has a sort somewhere
`boolean` | `hasSubqueries`
`boolean` | `hasView` Flag indicates that the plan has at least one view somewhere
`boolean` | `includeSystemContent` Flag indicates whether the content under "/jcr:system" should be included in the results.
`boolean` | `isExistsQuery` Set when the query results are not ordered or offset but are limited to a single row, implying that the query is just trying to see if a row exists.
`boolean` | `qualifyExpandedColumnNames` Flag indicates whether to fully-qualify (with the selector name) the names of columns that are expanded from wildcard projections.
`boolean` | `showPlan` Flag indicates whether the query plan should be included in the `QueryResults`
`boolean` | `useSessionContent` Flag indicates whether the Session's transient (unsaved) content should be used for the results.
`boolean` | `validateColumnExistance` Flag indicates whether to check during validation for the existance of columns used in column selectors and criteria.

Constructor Summary
`PlanHints()`

Method Summary
`PlanHints` | `clone()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### hasCriteria

    public boolean hasCriteria

  This flag indicates that the plan has a criteria somewhere

### hasJoin

    public boolean hasJoin

  This flag indicates that the plan has a join somewhere

### hasSort

    public boolean hasSort

  This flag indicates that the plan has a sort somewhere

### hasSetQuery

    public boolean hasSetQuery

  flag indicates that the plan has a union somewhere

### hasLimit

    public boolean hasLimit

### isExistsQuery

    public boolean isExistsQuery

  Set when the query results are not ordered or offset but are limited to a single row, implying that the query is just trying to see if a row exists.

### hasOptionalJoin

    public boolean hasOptionalJoin

### hasFullTextSearch

    public boolean hasFullTextSearch

### hasSubqueries

    public boolean hasSubqueries

### hasView

    public boolean hasView

  Flag indicates that the plan has at least one view somewhere

### showPlan

    public boolean showPlan

  Flag indicates whether the query plan should be included in the `QueryResults`

### validateColumnExistance

    public boolean validateColumnExistance

  Flag indicates whether to check during validation for the existance of columns used in column selectors and criteria.

### includeSystemContent

    public boolean includeSystemContent

  Flag indicates whether the content under "/jcr:system" should be included in the results.

### useSessionContent

    public boolean useSessionContent

  Flag indicates whether the Session's transient (unsaved) content should be used for the results. If not, then only the persisted content will be used.

### qualifyExpandedColumnNames

    public boolean qualifyExpandedColumnNames

  Flag indicates whether to fully-qualify (with the selector name) the names of columns that are expanded from wildcard projections.

Constructor Detail

### PlanHints

    public PlanHints()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### clone

    public PlanHints clone()

  Overrides:
    `clone` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.